VIRTIO(4)

NAME
virtio - VirtIO support driver

SYNOPSIS
virtio* at fdt?
virtio* at pci? flags 0x00

DESCRIPTION
The virtio driver provides support service for paravirtualized devices using the VirtIO protocol. Such devices are provided by bhyve, KVM, QEMU, VirtualBox, and vmm(4).

Currently there are drivers for the following virtio devices:

vio(4)
    VirtIO network device
vioblk(4)
    VirtIO disk
viocon(4)
    VirtIO console device
viogpu(4)
    VirtIO GPU device
viomb(4)
    VirtIO memory ballooning driver
viornd(4)
    VirtIO random number device
vioscsi(4)
    VirtIO SCSI adapter
vmmci(4)
    vmm(4) control interface

The virtio driver conforms to the virtio 0.9.5 specification. The virtio 1.0 standard is only supported for PCI devices.

By default 1.x is preferred over 0.9. This can be changed by setting the bit 0x8 in the flags.

SEE ALSO
intro(4)

HISTORY
The virtio driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The virtio driver was ported to OpenBSD and improved by Stefan Fritsch <sf@sfritsch.de>. It is based on the NetBSD driver by Minoura Makoto.

BUGS
virtio big-endian architectures are not yet supported.